Bug 846071 - [abrt] rhythmbox-2.97-1.fc17: emit_updated_in_idle: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-1.fc17: emit_updated_in_idle: Process /usr/bin/rhythmbo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:09ad45b09d722a1c46256099d5a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 13:44 EDT by Thomas Mitchell
Modified: 2013-07-31 16:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:53:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.89 KB, text/plain)
2012-08-06 13:44 EDT, Thomas Mitchell
no flags Details
File: maps (101.06 KB, text/plain)
2012-08-06 13:44 EDT, Thomas Mitchell
no flags Details
File: dso_list (22.57 KB, text/plain)
2012-08-06 13:44 EDT, Thomas Mitchell
no flags Details
File: build_ids (8.49 KB, text/plain)
2012-08-06 13:44 EDT, Thomas Mitchell
no flags Details

  None (edit)
Description Thomas Mitchell 2012-08-06 13:44:44 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
comment:        I was setting up the application preferences, when i selected it to watch my music folder the application crashed.  so far i have tried rhythmbox and exaile and both have crashed on the same system which is a fresh install with all updates.
crash_function: emit_updated_in_idle
executable:     /usr/bin/rhythmbox
kernel:         3.5.0-2.fc17.x86_64
pid:            7188
pwd:            /home/shadowwraith
remote_result:  831875
time:           Mon 06 Aug 2012 05:30:56 PM BST
uid:            1000
username:       shadowwraith
xsession_errors: (rhythmbox:7188): GLib-CRITICAL **: g_variant_unref: assertion `value->ref_count > 0' failed

backtrace:      Text file, 40852 bytes
build_ids:      Text file, 8692 bytes
dso_list:       Text file, 23107 bytes
maps:           Text file, 103487 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/shadowwraith/2

core_backtrace:
:85a9ac7115cc9b7b84a44a5790b2d5989c94595c 0x4e01 - libdbus-media-server.so -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xc01fe - librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xc0495 - librhythmbox-core.so.6 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xc20f7 - librhythmbox-core.so.6 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xbbd8c - librhythmbox-core.so.6 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x97f5c g_application_run libgio-2.0.so.0 -
:a87bd1401d9463e0bf391e3f95653ed1121ee807 0x115f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Acer-5552.deadzone
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/shadowwraith/keyring-IPYoOd
:IMSETTINGS_MODULE=none
:USER=shadowwraith
:USERNAME=shadowwraith
:MAIL=/var/spool/mail/shadowwraith
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/shadowwraith/.local/bin:/home/shadowwraith/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/shadowwraith
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=879
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/shadowwraith
:SHLVL=1
:LOGNAME=shadowwraith
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1PVyb6oUhQ,guid=da31a8f38fc271e11788538e00000031
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/shadowwraith
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-shadowwraith-rHtkHN/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/883,unix/unix:/tmp/.ICE-unix/883
:GPG_AGENT_INFO=/run/user/shadowwraith/keyring-IPYoOd/gpg:0:1
:SSH_AUTH_SOCK=/run/user/shadowwraith/keyring-IPYoOd/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=7188
:DESKTOP_STARTUP_ID=gnome-shell-1095-Acer-5552.deadzone-rhythmbox-7_TIME3430086

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 13811                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       13811                13811                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/shadowwraith/.xsession-errors
:pos:	32868
:flags:	0102002
:2:/home/shadowwraith/.xsession-errors
:pos:	32868
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[692254]
:pos:	0
:flags:	02000002
:5:socket:[692256]
:pos:	0
:flags:	02004002
:6:socket:[692271]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[691395]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[691403]
:pos:	0
:flags:	02004002
:13:/home/shadowwraith/.cache/rhythmbox/album-art/store.tdb
:pos:	4168
:flags:	02100002
:14:socket:[691437]
:pos:	0
:flags:	02004002
:15:socket:[691555]
:pos:	0
:flags:	02004002
:16:socket:[692584]
:pos:	0
:flags:	02004002
:17:socket:[691567]
:pos:	0
:flags:	02004002
:18:anon_inode:inotify
:pos:	0
:flags:	02004000
:19:/tmp/ffiqSN8cC (deleted)
:pos:	0
:flags:	0100002
:20:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: b4741e9e-8c1b-453e-82fa-4a8b567f7cbe
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4189.76
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II P320 Dual-Core Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 2100
:System Memory: 1746
:System Swap: 2046
:Vendor: Acer
:System: Aspire 5552 V1.04
:Form factor: Notebook
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4133:1161) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:17302:4133:1161) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(5772:46:6706:8969) pci, ath9k, NETWORK, AR9287 Wireless Network Adapter (PCI-Express)
:(4130:38401:4133:1161) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:38402) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(5348:5778:4133:877) pci, tg3, ETHERNET, NetLink BCM57780 Gigabit Ethernet PCIe
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4098:17308:4133:1161) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4133:1161) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4133:1161) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4133:1161) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38674:4133:1161) pci, radeon, VIDEO, M880G [Mobility Radeon HD 4200]
:(4098:38671:4133:1161) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:4133:1161) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4133:1161) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4133:1161) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38404:4133:1161) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:(4130:38405:4133:1161) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 24862865 22644820 21399675 6225920 6039668 6039668
:/dev/sda4 /home ext4 4096 4096 52519975 47290294 44660931 13148160 13145414 13145414
:/dev/sda1 /boot ext4 1024 1024 509664 426279 400628 128520 128174 128174
:/dev/sdb1 WITHHELD ext3 4096 4096 4799473 387080 142703 1224000 1222501 1222501
:/dev/sdc1 WITHHELD vfat 16384 16384 30592 6082 6082 0 0 0
:

var_log_messages:
:Aug  6 16:18:00 Acer-5552 yum[3659]: Updated: rhythmbox-2.97-1.fc17.x86_64
:Aug  6 17:30:56 Acer-5552 kernel: [ 3463.036121] rhythmbox[7188] general protection ip:7faa18f84e01 sp:7fff2079a5e0 error:0 in libdbus-media-server.so[7faa18f80000+b000]
:Aug  6 17:30:57 Acer-5552 abrt[7214]: Saved core dump of pid 7188 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-08-06-17:30:56-7188 (108400640 bytes)
Comment 1 Thomas Mitchell 2012-08-06 13:44:49 EDT
Created attachment 602550 [details]
File: backtrace
Comment 2 Thomas Mitchell 2012-08-06 13:44:51 EDT
Created attachment 602551 [details]
File: maps
Comment 3 Thomas Mitchell 2012-08-06 13:44:53 EDT
Created attachment 602552 [details]
File: dso_list
Comment 4 Thomas Mitchell 2012-08-06 13:44:55 EDT
Created attachment 602553 [details]
File: build_ids
Comment 5 unix63 2012-08-21 08:03:11 EDT
import music folder

backtrace_rating: 4
Package: rhythmbox-2.97-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 gabe@codehaus.org 2013-02-10 19:39:36 EST
I was importing a directory full of FLAC files.

backtrace_rating: 4
Package: rhythmbox-2.98-4.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 7 Fedora End Of Life 2013-07-03 16:41:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 16:54:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.